﻿<?xml version="1.0" encoding="utf-8" ?>
<ContentPage xmlns="http://xamarin.com/schemas/2014/forms"
             xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
             xmlns:resx="clr-namespace:MyADA.Common.Views.Properties;assembly=MyADA.Common.Views"
             xmlns:ctrl="clr-namespace:CoreSDK.Controls;assembly=CoreSDK.MicroFramework.XamarinForms"
             xmlns:ContentView="clr-namespace:MyADA.Common.Views.ContentViews;assembly=MyADA.Common.Views"
             xmlns:adabh="clr-namespace:CoreSDK.Behaviors;assembly=CoreSDK.MicroFramework.XamarinForms"
             x:Class="MyADA.Common.Views.MyRSSView" BackgroundColor="Transparent">

  <Grid x:Name="mainGrid" RowSpacing="0">

    <Grid.Behaviors>
      <adabh:ActivityIndicatorBehavior Label="{Static resx:Resources.Button_ActivityIndicator_Label}" />
    </Grid.Behaviors>
    
    <Grid.Padding>
      <OnPlatform x:TypeArguments="Thickness" iOS="0,20,0,0" Android="0" WinPhone="0" />
    </Grid.Padding>
    
    <Grid.RowDefinitions>
      <RowDefinition Height="50"/>
      <RowDefinition Height="*"/>
      <RowDefinition Height="Auto"/>
    </Grid.RowDefinitions>

    <!--HEADER-->
    <ContentView:Header Grid.Row="0"/>
    
    <!--CONTENT-->
    <Grid Grid.Row="1" Grid.RowSpacing="0" Padding="{StaticResource VIEW_PADDING}">
      <Grid.RowDefinitions>
        <RowDefinition Height="Auto"/>
        <RowDefinition Height="Auto"/>
      </Grid.RowDefinitions>

      <!--TITLE-->
      <Grid Grid.Row="0" Grid.ColumnSpacing="0" HeightRequest="{StaticResource TITLE_HEIGHT}" BackgroundColor="{DynamicResource BoxTitleBackgroundColor}">
        <Grid.ColumnDefinitions>
          <ColumnDefinition Width="*"/>
          <ColumnDefinition Width="6*"/>
          <ColumnDefinition Width="*"/>
        </Grid.ColumnDefinitions>

        <Grid Grid.Column="0" ColumnSpacing="0" RowSpacing="0">
          <Grid.ColumnDefinitions>
            <ColumnDefinition Width="*"/>
            <ColumnDefinition Width="{StaticResource BACKBUTTON_WIDTH}"/>
            <ColumnDefinition Width="*"/>
          </Grid.ColumnDefinitions>
          <Grid.RowDefinitions>
            <RowDefinition Height="*"/>
            <RowDefinition Height="2*"/>
            <RowDefinition Height="*"/>
          </Grid.RowDefinitions>
          <ContentView:BackButton Grid.Column="1" Grid.Row="1"/>
        </Grid>

        <StackLayout Grid.Column="0" HorizontalOptions="FillAndExpand" VerticalOptions="FillAndExpand">
          <StackLayout.GestureRecognizers>
            <TapGestureRecognizer Tapped="backButton_Tapped"/>
          </StackLayout.GestureRecognizers>
        </StackLayout>

        <ctrl:NormalFontLabel Grid.Column="1" Text="{Static resx:Resources.MyRSS_MyRSS_Text}" Style="{DynamicResource BoxTitleStyle}" LineBreakMode="TailTruncation" HorizontalOptions="CenterAndExpand" VerticalOptions="CenterAndExpand"/>
      </Grid>

      <!--REPEATER-->
      <Grid Grid.Row="1" Grid.ColumnSpacing="0" Grid.RowSpacing="0" BackgroundColor="{DynamicResource BoxRSSBackgroundColor}">
        <Grid.RowDefinitions>
          <RowDefinition Height="{StaticResource BORDER_BOX_HEIGHT}" />
          <RowDefinition Height="*" />
          <RowDefinition Height="{StaticResource BORDER_BOX_HEIGHT}" />
        </Grid.RowDefinitions>

        <Grid.ColumnDefinitions>
          <ColumnDefinition Width="0.7" />
          <ColumnDefinition Width="*" />
          <ColumnDefinition Width="0.7" />
        </Grid.ColumnDefinitions>

        <StackLayout VerticalOptions="FillAndExpand" HorizontalOptions="FillAndExpand" BackgroundColor="{DynamicResource BoxItemBorderColor}" Grid.Column="0" Grid.Row="0" Grid.RowSpan="3" />
        <StackLayout VerticalOptions="FillAndExpand" HorizontalOptions="FillAndExpand" BackgroundColor="{DynamicResource BoxItemBorderColor}" Grid.Column="2" Grid.Row="0" Grid.RowSpan="3" />
        <StackLayout VerticalOptions="FillAndExpand" HorizontalOptions="FillAndExpand" BackgroundColor="{DynamicResource BoxItemBorderColor}" Grid.Column="1" Grid.Row="2" />

        <Grid Grid.Column="1" Grid.Row="1" Grid.RowSpacing="0" Padding="0,0,0,10">
          <Grid.RowDefinitions>
            <RowDefinition Height="20"/>
            <RowDefinition Height="Auto"/>
          </Grid.RowDefinitions>
          
          <!--REPEATER-->
          <ScrollView Grid.Row="1">
            <ctrl:RepeaterView x:Name="repeaterMyRSS" ItemSpacing="0" HasDottedLines="False" BackgroundColor="Transparent" VerticalOptions="Fill" HorizontalOptions="FillAndExpand" ItemsSource="{Binding UserRssFeedsCollection}">
              <ctrl:RepeaterView.ItemTemplate>
                <DataTemplate>

                  <Grid ColumnSpacing="5" RowSpacing="0">
                    <Grid.GestureRecognizers>
                      <TapGestureRecognizer Command="{Binding Path=BindingContext.ShowFeedDetailCommand, Source={x:Reference repeaterMyRSS}}" CommandParameter="{Binding .}"/>
                    </Grid.GestureRecognizers>
                    
                    <Grid.ColumnDefinitions>
                      <ColumnDefinition Width="Auto"/>
                      <ColumnDefinition Width="*"/>
                    </Grid.ColumnDefinitions>
                    
                    <Grid.RowDefinitions>
                      <RowDefinition Height="Auto"/>
                      <RowDefinition Height="Auto"/>
                    </Grid.RowDefinitions>

                    <StackLayout Grid.Column="0" Grid.Row="0" Padding="30,15,0,15">
                      <ctrl:NormalFontLabel Text="{Binding Title}" Style="{DynamicResource BoxLabelStyle}"/>
                    </StackLayout>
                    
                    <Grid Grid.Column="1" Grid.Row="0" IsVisible="True" Padding="0,15,20,15">
                      <Grid.ColumnDefinitions>
                        <ColumnDefinition Width="Auto"/>
                        <ColumnDefinition Width="*"/>
                      </Grid.ColumnDefinitions>
                      <Image Grid.Column="0" Style="{DynamicResource RedCircleImageStyle}" HorizontalOptions="CenterAndExpand" VerticalOptions="CenterAndExpand"/>
                      <Label Grid.Column="0" Text="{Binding NbPost}" Style="{DynamicResource NotifLabelStyle}" HorizontalOptions="CenterAndExpand" VerticalOptions="CenterAndExpand"/>
                    </Grid>
                  </Grid>

                </DataTemplate>
              </ctrl:RepeaterView.ItemTemplate>
            </ctrl:RepeaterView>
          </ScrollView>
          
          <!--<StackLayout Grid.Row="1" HeightRequest="1" BackgroundColor="{DynamicResource BoxItemBorderColor}" HorizontalOptions="FillAndExpand" VerticalOptions="End"/>-->

        </Grid>
      </Grid>

    </Grid>
    
    <!--FIXED BUTTON-->
    <StackLayout Grid.Row="2" HeightRequest="{StaticResource BUTTON_FIXED_HEIGHT}" Style="{DynamicResource FixedButtonStyle}">
      <StackLayout.GestureRecognizers>
        <TapGestureRecognizer Command="{Binding ShowManageRssCommand}"/>
      </StackLayout.GestureRecognizers>
      <ctrl:BoldFontLabel Text="{Static resx:Resources.FixedButton_ManageRSS_Text}" Style="{DynamicResource FixedButtonLabelStyle}"/>
    </StackLayout>
    
    <!--CUSTOM BUTTON-->
    <!--<StackLayout Grid.Row="2">
      <ctrl:CustomButton ButtonLabel="{Static resx:Resources.FixedButton_ManageRSS_Text}" TapCommand="{Binding ShowManageRssCommand}" Style="{DynamicResource FixedButtonStyle}"/>
    </StackLayout>-->

    <!--FILTRE-->
    <ContentView:FilterView Grid.Row="0" Grid.RowSpan="3" x:Name="filter" IsVisible="False"/>

    <ContentView:LoadingScreen Grid.Row="0" Grid.RowSpan="3" x:Name="LoadingScreen" IsVisible="{Binding IsBusy}" />
    
  </Grid>
</ContentPage>